import { Logger } from "winston";
interface ProcessedSet {
    [domain: string]: {
        [hash: string]: {
            nick: string;
            ts: number | null;
        };
    };
}
export declare class ProcessedDict {
    processed: ProcessedSet;
    private timeoutObj;
    getClaimer(domain: string, hash: string): string | null;
    claim(domain: string, hash: string, nick: string, cmd: string): void;
    startCleaner(parentLog: Logger): void;
}
export {};
